Start Typing Indicator
POST
/api/partner/v2/chats/{chat_id}/start_typing
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/start_typing';const options = { method: 'POST', headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.linqapp.com/api/partner/v2/chats/1/start_typing \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'Sends a typing indicator to show that you are currently typing in the chat. This endpoint does not require a request body.
The typing indicator has a default timeout of 60 seconds. Note that sending a message will automatically terminate the typing indicator without needing to call the DELETE endpoint.
Note: By default, the Linq platform automatically displays typing indicators to make message responses appear more human-like. If you want to manually control typing indicators using this API, contact your Linq representative to disable automated typing indicators for your organization.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_id
required
integer
The chat ID
Responses
Section titled “ Responses ”Typing indicator started successfully
Chat not found
Media type application/json
Standard error format used by most endpoints (render_error format)
object
errors
Array<object>
object
status
integer
code
string
title
string
detail
string
Example
{ "errors": [ { "status": 404, "code": "not_found", "title": "Not Found", "detail": "Chat not found" } ]}